var persistenceBanco;
var bd;
var grid;

jQuery(document).ready(function() {
	loadListaCliente();
});

function loadListaCliente() {
	document.addEventListener("deviceready", onListaProduto, false);
}

function onListaProduto() {
	document.addEventListener("backbutton", botaoBack, false);
	(function($) {
		var start = new Date().getTime();
		$(".Menu").hide(0);
		eventoBotaoClick('.botao');
		$(".opcaoMenu").on('click', function(e) {
			e.preventDefault();
			// $('.Menu').toggle('slow');
			// var menu = $(".Menu");
			// var he = $("#header");
			//
			// $(".Menu").toggleClass("menuAberto");
			// $(".opcaoMenu").toggleClass("menuAberto");
			// console.log("TROCOU");
		});

		$('#sincronizar').on('click', function(e) {
			e.preventDefault();
			var ads = {
				'teste' : {
					type : 'iframe',
					src : '../../popup/progresso.html'
				}
			};
			jQuery('.container').adPopupPro({
				ads : ads,
				show_type : 'always',
				show_chance : 1,
				show_close_button : false,
				mobile : true,
				tablets : true,
				min_screen_size : '0x0',
				internet_explorer : 'normal',
				os : '',
				cookie_id : '2',
				popup_color : 'light',
				popup_shadow : true,
				overlay_opacity : 0.5,
				overlay_color : 'dark',
				overlay_close : false,
				escape_close : false,
				auto_close_after : false
			});
			grid.pararGerarGrid();
			setTimeout(function() {
				jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '20%');
				persistenceBanco.query("confSinc").all().execute().done(function(results) {
					jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '40%');
					var retorno = results[0];
					jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '60%');
					var teste = new SincTitulos(retorno.ip, retorno.banco, retorno.empresa, retorno.vendedor, function() {
						jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '100%');
						
						setTimeout(function() {
							jQuery('.adpopup').remove();
							jQuery('.adpopup-overlay').remove();
						}, 1000);
					});

				});
			}, 1000);
		});

		$("input#pesquisaValor").ezpz_hint();

		abrirBanco(function(a) {
			persistenceBanco = a;

			persistenceBanco.query("titulos").all().execute().done(function(results) {
				bd = results;
				gridGrande();
			});

			var clickEventType = ((document.ontouchstart !== null) ? 'click' : 'touchstart');
			$("#botaoBuscaB").on('click', function(e) {
				e.preventDefault();
				grid.pararGerarGrid();
				var start = new Date().getTime();
				jQuery('#centerCadastroo').remove();

				var valor = $("input#pesquisaValor").val();
				persistenceBanco.query("titulos").filter(function(e) {

					return e.nome.toLowerCase().indexOf(valor) != -1 || e.documento.toLowerCase().indexOf(valor) != -1 || e.vencimento.toLowerCase().indexOf(valor) != -1;

				}).execute().done(function(results) {
					grid.setValorPesquisar(results, function() {
					});
					var end = new Date().getTime();
					var final = end - start;
					console.log('TEMPO DE GRID: ' + final);
				});
			});

		});

	})(jQuery);

}

function gridGrande() {
	if (grid != undefined) {
		grid.pararGerarGrid();
		jQuery('.adpopup-overlay.adpopup-style-overlay-dark').trigger("click");
		document.getElementById("container").innerHTML = null;
	}
	grid = new ListaGrid("", bd, ".container");
	grid.setTitulo(["nome"]);

	//primeira Linha
	grid.adicionarElemento('0', 'cpfCnpj', '12', 'left', 'blue');

	//segunda linha
	grid.adicionarElemento('1', 'Tipo:', '3', 'left', 'blue');
	grid.adicionarElemento('1', 'tipo', '3', 'center');
	grid.adicionarElemento('1', 'Vencimento:', '3', 'left', 'blue');
	grid.adicionarElemento('1', 'vencimento', '3', 'center', 'red');

	//terceira linha
	grid.adicionarElemento('2', 'Docto:', '3', 'left', 'blue');
	grid.adicionarElemento('2', 'documento', '3', 'center');
	grid.adicionarElemento('2', 'Valor R$:', '3', 'left', 'blue');
	grid.adicionarElemento('2', 'valor', '3', 'center', 'red');

	grid.setNumerosMaxLinhas(3);

	var tipo = [['0', 'Dup./Boleto'], ['1', 'Cheque']];
	grid.adicionarValoresLinhas('tipo', tipo);

	grid.setNumeroFormatado('valor');

	grid.montarCampos('linhaPrincipal', function() {
		grid = null;
	});
}

function retornoGrid(a) {

	// var ads = {
	// 'teste' : {
	// type : 'iframe',
	// src : '../../../view/popup/lista_produtos.html'
	// }
	// };
	//
	// jQuery('body').adPopupPro({
	// ads : ads,
	// show_type : 'always',
	// show_chance : 1,
	// show_close_button : false,
	// mobile : true,
	// tablets : true,
	// min_screen_size : '0x0',
	// internet_explorer : 'normal',
	// os : '',
	// cookie_id : '2',
	// popup_color : 'light',
	// popup_shadow : true,
	// overlay_opacity : 0.5,
	// overlay_color : 'dark',
	// overlay_close : true,
	// escape_close : true,
	// auto_close_after : false
	// });
}

function botaoBack() {
	if (localStorage.getItem("clienteEditar") != '') {
		jQuery('.adpopup-overlay.adpopup-style-overlay-dark').trigger("click");
		localStorage.setItem("clienteEditar", '');
	} else {
		window.location.replace('../../../index.html');
	}
}